summaryrefslogtreecommitdiffstats
path: root/source/a/acpid/acpid.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/acpid/acpid.SlackBuild')
-rwxr-xr-xsource/a/acpid/acpid.SlackBuild59
1 files changed, 37 insertions, 22 deletions
diff --git a/source/a/acpid/acpid.SlackBuild b/source/a/acpid/acpid.SlackBuild
index 3010e0136..cb4831385 100755
--- a/source/a/acpid/acpid.SlackBuild
+++ b/source/a/acpid/acpid.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,20 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.0.8
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo acpid-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j8}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -42,33 +53,37 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-make || exit 1
-strip acpid acpi_listen
-mkdir -p $PKG/usr/sbin
-cat acpid > $PKG/usr/sbin/acpid
-chmod 755 $PKG/usr/sbin/acpid
-mkdir -p $PKG/usr/bin
-cat acpi_listen > $PKG/usr/bin/acpi_listen
-chmod 755 $PKG/usr/bin/acpi_listen
-mkdir -p $PKG/usr/man/man8
-cat acpid.8 | gzip -9c > $PKG/usr/man/man8/acpid.8.gz
-cat acpi_listen.8 | gzip -9c > $PKG/usr/man/man8/acpi_listen.8.gz
-mkdir -p $PKG/usr/doc/acpid-$VERSION
-cp -a Changelog README \
- $PKG/usr/doc/acpid-$VERSION
-cp -a samples $PKG/usr/doc/acpid-$VERSION
+make install \
+ OPT="-O2" \
+ PREFIX=/usr \
+ MANDIR=/usr/man \
+ DOCDIR=/usr/doc/acpid-$VERSION \
+ DESTDIR=$PKG \
+ || exit 1
+
+strip --strip-unneeded $PKG/usr/bin/acpi_listen $PKG/usr/sbin/acpid
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/etc/acpi/events
zcat $CWD/acpi_handler.sh.gz > $PKG/etc/acpi/acpi_handler.sh.new
-chmod 755 $PKG/etc/acpi/acpi_handler.sh.new
+chmod 0755 $PKG/etc/acpi/acpi_handler.sh.new
zcat $CWD/default.gz > $PKG/etc/acpi/events/default
+
mkdir -p $PKG/etc/rc.d
zcat $CWD/rc.acpid.gz > $PKG/etc/rc.d/rc.acpid
-chmod 755 $PKG/etc/rc.d/rc.acpid
+chmod 0755 $PKG/etc/rc.d/rc.acpid
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
-# Build the package:
cd $PKG
/sbin/makepkg -l y -c n $TMP/acpid-$VERSION-$ARCH-$BUILD.txz